import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AuthService } from '../auth.service';
import { BaseHttpClient } from '../base-http-client';
import { Group, Subrogation } from '../models';
export declare class SubrogationApiService extends BaseHttpClient<Subrogation> {
    private authService;
    constructor(http: HttpClient, baseUrl: string, authService: AuthService);
    getAllByParams(params: HttpParams, headers?: HttpHeaders): Observable<Subrogation[]>;
    getOne(id: string, headers?: HttpHeaders): Observable<Subrogation>;
    getMySubrogationAsSuperuser(): Observable<Subrogation>;
    getMySubrogationAsSurrogate(): Observable<Subrogation>;
    accept(id: string): Observable<Subrogation>;
    decline(id: string): Observable<void>;
    create(subrogation: Subrogation, headers?: HttpHeaders): Observable<Subrogation>;
    delete(id: string): Observable<void>;
    getGroupById(id: string, headers?: HttpHeaders): Observable<Group>;
}
