import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { ActivatedRoute } from '@angular/router';
import { CustomerSelectionService } from '../../../customer-selection.service';
import { CustomerMenuService } from './customer-menu.service';
import { MenuOption } from './menu-option.interface';
export declare class CustomerMenuComponent implements OnInit, OnDestroy {
    private dialog;
    private customerMenuService;
    private customerSelectionService;
    private route;
    customers: MenuOption[];
    customerSelect: EventEmitter<string>;
    private activeCustomerId;
    private customerSelection;
    constructor(dialog: MatDialog, customerMenuService: CustomerMenuService, customerSelectionService: CustomerSelectionService, route: ActivatedRoute);
    ngOnInit(): void;
    emitCustomerIdChange(customerId: string): void;
    readonly activeCustomer: MenuOption;
    openCustomerMenu(): void;
    ngOnDestroy(): void;
}
